Complete Onboarding Step
POST
/api/canvas/onboarding/complete-step
const url = 'https://example.com/api/canvas/onboarding/complete-step';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"step":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/onboarding/complete-step \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "step": "example" }'Mark an onboarding step as completed.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
CompleteStepRequest
object
step
required
Step
string
Example generated
{ "step": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
OnboardingStateResponse
object
wizard_completed
required
Wizard Completed
boolean
wizard_dismissed
required
Wizard Dismissed
boolean
checklist_dismissed
required
Checklist Dismissed
boolean
steps_completed
required
Steps Completed
object
key
additional properties
boolean
Example generated
{ "wizard_completed": true, "wizard_dismissed": true, "checklist_dismissed": true, "steps_completed": { "additionalProperty": true }}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}